dag_component_get_named_subcomponent(3)

NAME
dag_component_get_named_subcomponent - get a subcomponent by name

SYNOPSIS
#include "dag_component.h "

dag_component_t
dag_component_get_named_subcomponent(dag_component_t component, const char* name);

DESCRIPTION
dag_component_get_named_subcomponent returns a subcomponent by name.

RETURN VALUE
A reference to the subcomponent of the given component having the given name that can be used as an argument to other Configuration and Status API routines.

ERRORS
If the specified component is invalid (e.g. name does not match the name of any subcomponent of the specified component) then NULL will be returned. Applications should test for this value before assuming the return value is valid.

EXAMPLE
FIXME Sample code.

SEE ALSO
dagconfigapi(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2474 $
$Date: 2005-11-10 11:13:19 +1300 (Thu, 10 Nov 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.